const express = require('express');
const path = require('path');

const CrudModule = require('../../base/CrudModule');
const RepositorySystem = require('../../systems/RepositorySystem');
const RoutingSystem = require('../../systems/RoutingSystem');
const Actions = require('../../systems/ActionSystem');

function AddressMiddleware (req, res, next) {
	if(!req.filters) 
		req.filters = [];
	let filter = {
		"type":"equals",
		"field":"Users_id",
		"options": req.user.id
	};
	// let byfilter = {
	// 	"type":"descending",
	// 	"field":"id"
	// };
	// req.filters.push(byfilter);
	req.filters.push(filter);
	next();
}

module.exports = AddressMiddleware;