const express = require('express');
const path = require('path');

const OneToOne = require('../../base/OneToOne');
const CrudModule = require('../../base/CrudModule');
const RepositorySystem = require('../../systems/RepositorySystem');
const RoutingSystem = require('../../systems/RoutingSystem');
const Actions = require('../../systems/ActionSystem');

class CategoriesModule extends CrudModule { // this.repository ready!
	constructor(){
		super('/categories', [3,0,3,4,0], 'Category');
		new OneToOne('Category', 'Products')
	}
}
module.exports = CategoriesModule;